Skip to content

Retrieve a member

SumUp API reference and code samples.

MembersPreview feature

Endpoints to manage account members. Members are users that have membership within merchant accounts.

The Member object

A member is user within specific resource identified by resource id, resource type, and associated roles.

Member

  • id string required

    ID of the member.

    Example: "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"
  • roles []string required

    User's roles.

  • permissions []string deprecated required

    User's permissions.

  • created_at string date-time required

    The timestamp of when the member was created.

    Example: "2023-01-20T15:16:17Z"
  • updated_at string date-time required

    The timestamp of when the member was last updated.

    Example: "2023-01-20T15:16:17Z"
  • user object

    Information about the user associated with the membership.

     Show attributes
     Close
    Attributes
    • id string required

      Identifier for the End-User (also called Subject).

      Example: "44ca0f5b-813b-46e1-aee7-e6242010662e"
    • email string required

      End-User's preferred e-mail address. Its value MUST conform to the RFC 5322 [RFC5322] addr-spec syntax. The RP MUST NOT rely upon this value being unique, for unique identification use ID instead.

      Example: "example@sumup.com"
    • mfa_on_login_enabled boolean required

      True if the user has enabled MFA on login.

      Example: true
    • virtual_user boolean required

      True if the user is a virtual user (operator).

    • service_account_user boolean required

      True if the user is a service account.

    • disabled_at string date-time

      Time when the user has been disabled. Applies only to virtual users (virtual_user: true).

    • nickname string

      User's preferred name. Used for display purposes only.

      Example: "Test User"
    • picture string uri

      URL of the End-User's profile picture. This URL refers to an image file (for example, a PNG, JPEG, or GIF image file), rather than to a Web page containing an image.

      Example: "https://usercontent.sumup.com/44ca0f5b-813b-46e1-aee7-e6242010662e.png"
    • classic object deprecated

      Classic identifiers of the user.

       Show attributes
       Close
      Attributes
      • user_id integer required
  • invite object

    Pending invitation for membership.

     Show attributes
     Close
    Invite
    • email string email required

      Email address of the invited user.

      Example: "boaty.mcboatface@sumup.com"
    • expires_at string date-time required
      Example: "2023-01-20T15:16:17Z"
  • status string required

    The status of the membership.

  • metadata object max properties: 64

    Set of user-defined key-value pairs attached to the object. Partial updates are not supported. When updating, always submit whole metadata. Maximum of 64 parameters are allowed in the object.

    Example: {}
  • attributes object

    Object attributes that are modifiable only by SumUp applications.

    Example: {}
The Member object
{
"id": "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP",
"roles": [
"role_admin",
"role_owner"
],
"permissions": [
"members_read",
"members_write",
"create_moto_payments",
"full_transaction_history_view",
"refund_transactions",
"create_referral",
"developer_settings_edit",
"developer_settings_access"
],
"created_at": "2023-01-20T15:16:17Z",
"updated_at": "2023-02-20T15:16:17Z",
"user": {
"id": "44ca0f5b-813b-46e1-aee7-e6242010662e",
"email": "example@sumup.com",
"mfa_on_login_enabled": true,
"virtual_user": false,
"service_account_user": false
},
"status": "accepted"
}
Members

List members

Lists merchant members.

Required permissions: merchant_read

Path Parameters

  • merchant_code string required

    Short unique identifier for the merchant.

    Example: "MK10CL2A"

Query Parameters

  • offset integer minimum: 0default: 0

    Offset of the first member to return.

    Example: 0
  • limit integer minimum: 1maximum: 25default: 10

    Maximum number of members to return.

    Example: 10
  • scroll boolean default: false

    Indicates to skip count query.

    Example: true
  • email string

    Filter the returned members by email address prefix.

    Example: "user"
  • user.id string uuid

    Search for a member by user id.

    Example: "245b2ead-85bf-45ff-856f-311a88a5d454"
  • status string
    Options:  accepted pending expired disabled unknown

    Filter the returned members by the membership status.

  • roles []string

    Filter the returned members by role.

    Example: ["role_employee","role_accountant"]

Response 200

  • items []object required

    A member is user within specific resource identified by resource id, resource type, and associated roles.

     Show attributes
     Close
    Member
    • id string required

      ID of the member.

      Example: "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"
    • roles []string required

      User's roles.

    • permissions []string deprecated required

      User's permissions.

    • created_at string date-time required

      The timestamp of when the member was created.

      Example: "2023-01-20T15:16:17Z"
    • updated_at string date-time required

      The timestamp of when the member was last updated.

      Example: "2023-01-20T15:16:17Z"
    • user object

      Information about the user associated with the membership.

       Show attributes
       Close
      Attributes
      • id string required

        Identifier for the End-User (also called Subject).

        Example: "44ca0f5b-813b-46e1-aee7-e6242010662e"
      • email string required

        End-User's preferred e-mail address. Its value MUST conform to the RFC 5322 [RFC5322] addr-spec syntax. The RP MUST NOT rely upon this value being unique, for unique identification use ID instead.

        Example: "example@sumup.com"
      • mfa_on_login_enabled boolean required

        True if the user has enabled MFA on login.

        Example: true
      • virtual_user boolean required

        True if the user is a virtual user (operator).

      • service_account_user boolean required

        True if the user is a service account.

      • disabled_at string date-time

        Time when the user has been disabled. Applies only to virtual users (virtual_user: true).

      • nickname string

        User's preferred name. Used for display purposes only.

        Example: "Test User"
      • picture string uri

        URL of the End-User's profile picture. This URL refers to an image file (for example, a PNG, JPEG, or GIF image file), rather than to a Web page containing an image.

        Example: "https://usercontent.sumup.com/44ca0f5b-813b-46e1-aee7-e6242010662e.png"
      • classic object deprecated

        Classic identifiers of the user.

         Show attributes
         Close
        Attributes
        • user_id integer required
    • invite object

      Pending invitation for membership.

       Show attributes
       Close
      Invite
      • email string email required

        Email address of the invited user.

        Example: "boaty.mcboatface@sumup.com"
      • expires_at string date-time required
        Example: "2023-01-20T15:16:17Z"
    • status string required

      The status of the membership.

    • metadata object max properties: 64

      Set of user-defined key-value pairs attached to the object. Partial updates are not supported. When updating, always submit whole metadata. Maximum of 64 parameters are allowed in the object.

      Example: {}
    • attributes object

      Object attributes that are modifiable only by SumUp applications.

      Example: {}
  • total_count integer
    Example: 3
GET /v0.1/merchants/{merchant_code}/members
curl https://api.sumup.com/v0.1/merchants/{merchant_code}/members \
-X GET \
-H "Authorization: Bearer $SUMUP_API_KEY"
import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.members.list("MK10CL2A");
using SumUp;
var client = new SumUpClient();
var result = await client.Members.ListAsync(
"MK10CL2A"
);
import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.members().listMerchantMembers(
"MK10CL2A"
);
from sumup import Sumup
client = Sumup()
result = client.members.list("MK10CL2A")
$sumup = new \SumUp\SumUp();
$result = $sumup->members->list('MK10CL2A');
client := sumup.NewClient()
result, err := client.Members.List(context.Background(), "MK10CL2A")
use sumup::Client;
let client = Client::default();
let result = client.members().list("MK10CL2A", sumup::ListMerchantMembersParams{
offset: Some(0),
limit: Some(10),
scroll: Some(true),
email: Some("user".to_string()),
user_id: Some("245b2ead-85bf-45ff-856f-311a88a5d454".to_string()),
status: Some("status".to_string()),
roles: Some(["role_employee","role_accountant"]),
}).await;
List members response
{
"items": [
{
"id": "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP",
"roles": [
"role_admin",
"role_owner"
],
"permissions": [
"members_read",
"members_write",
"create_moto_payments",
"full_transaction_history_view",
"refund_transactions",
"create_referral",
"developer_settings_edit",
"developer_settings_access"
],
"created_at": "2023-01-20T15:16:17Z",
"updated_at": "2023-02-20T15:16:17Z",
"user": {
"id": "44ca0f5b-813b-46e1-aee7-e6242010662e",
"email": "example@sumup.com",
"mfa_on_login_enabled": true,
"virtual_user": false,
"service_account_user": false
},
"status": "accepted"
}
],
"total_count": 3
}
Members

Create a member

Create a merchant member.

Required permissions: members_create

Path Parameters

  • merchant_code string required

    Short unique identifier for the merchant.

    Example: "MK10CL2A"

Body Parameters

  • is_managed_user boolean

    True if the user is managed by the merchant. In this case, we'll created a virtual user with the provided password and nickname.

  • email string email required

    Email address of the member to add.

  • password string min length: 8password

    Password of the member to add. Only used if is_managed_user is true. In the case of service accounts, the password is not used and can not be defined by the caller.

  • nickname string

    Nickname of the member to add. Only used if is_managed_user is true. Used for display purposes only.

    Example: "Test User"
  • roles []string required

    List of roles to assign to the new member.

  • metadata object max properties: 64

    Set of user-defined key-value pairs attached to the object. Partial updates are not supported. When updating, always submit whole metadata. Maximum of 64 parameters are allowed in the object.

    Example: {}
  • attributes object

    Object attributes that are modifiable only by SumUp applications.

    Example: {}

Member

  • id string required

    ID of the member.

    Example: "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"
  • roles []string required

    User's roles.

  • permissions []string deprecated required

    User's permissions.

  • created_at string date-time required

    The timestamp of when the member was created.

    Example: "2023-01-20T15:16:17Z"
  • updated_at string date-time required

    The timestamp of when the member was last updated.

    Example: "2023-01-20T15:16:17Z"
  • user object

    Information about the user associated with the membership.

     Show attributes
     Close
    Attributes
    • id string required

      Identifier for the End-User (also called Subject).

      Example: "44ca0f5b-813b-46e1-aee7-e6242010662e"
    • email string required

      End-User's preferred e-mail address. Its value MUST conform to the RFC 5322 [RFC5322] addr-spec syntax. The RP MUST NOT rely upon this value being unique, for unique identification use ID instead.

      Example: "example@sumup.com"
    • mfa_on_login_enabled boolean required

      True if the user has enabled MFA on login.

      Example: true
    • virtual_user boolean required

      True if the user is a virtual user (operator).

    • service_account_user boolean required

      True if the user is a service account.

    • disabled_at string date-time

      Time when the user has been disabled. Applies only to virtual users (virtual_user: true).

    • nickname string

      User's preferred name. Used for display purposes only.

      Example: "Test User"
    • picture string uri

      URL of the End-User's profile picture. This URL refers to an image file (for example, a PNG, JPEG, or GIF image file), rather than to a Web page containing an image.

      Example: "https://usercontent.sumup.com/44ca0f5b-813b-46e1-aee7-e6242010662e.png"
    • classic object deprecated

      Classic identifiers of the user.

       Show attributes
       Close
      Attributes
      • user_id integer required
  • invite object

    Pending invitation for membership.

     Show attributes
     Close
    Invite
    • email string email required

      Email address of the invited user.

      Example: "boaty.mcboatface@sumup.com"
    • expires_at string date-time required
      Example: "2023-01-20T15:16:17Z"
  • status string required

    The status of the membership.

  • metadata object max properties: 64

    Set of user-defined key-value pairs attached to the object. Partial updates are not supported. When updating, always submit whole metadata. Maximum of 64 parameters are allowed in the object.

    Example: {}
  • attributes object

    Object attributes that are modifiable only by SumUp applications.

    Example: {}
POST /v0.1/merchants/{merchant_code}/members
curl https://api.sumup.com/v0.1/merchants/{merchant_code}/members \
-X POST \
-H "Authorization: Bearer $SUMUP_API_KEY" \
--json '{
"email": "karl.berg@example.com",
"roles": [
"role_employee"
]
}'
import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.members.create("MK10CL2A", {
email: "karl.berg@example.com",
roles: ["role_employee"],
});
using SumUp;
var client = new SumUpClient();
var result = await client.Members.CreateAsync(
"MK10CL2A",
new CreateMerchantMemberBody
{
Email = "karl.berg@example.com",
Roles = new[] { "role_employee" },
}
);
import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.members().createMerchantMember(
"MK10CL2A",
CreateMerchantMemberBody.builder()
.email("karl.berg@example.com")
.roles(java.util.List.of(
"role_employee"
))
.build()
);
from sumup import Sumup
client = Sumup()
result = client.members.create("MK10CL2A", CreateMerchantMemberBody(
email="karl.berg@example.com",
roles=["role_employee"],
))
$sumup = new \SumUp\SumUp();
$result = $sumup->members->create('MK10CL2A', [
'email' => 'karl.berg@example.com',
'roles' => [ 'role_employee'],
]);
client := sumup.NewClient()
result, err := client.Members.Create(context.Background(), "MK10CL2A", sumup.MembersCreateParams{
Email: "karl.berg@example.com",
Roles: ["role_employee"],
})
use sumup::Client;
let client = Client::default();
let result = client.members().create("MK10CL2A", sumup::CreateMerchantMemberBody{
email: "karl.berg@example.com".to_string(),
roles: vec!["role_employee"],
}).await;
Create a member response
{
"id": "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP",
"roles": [
"role_admin",
"role_owner"
],
"permissions": [
"members_read",
"members_write",
"create_moto_payments",
"full_transaction_history_view",
"refund_transactions",
"create_referral",
"developer_settings_edit",
"developer_settings_access"
],
"created_at": "2023-01-20T15:16:17Z",
"updated_at": "2023-02-20T15:16:17Z",
"user": {
"id": "44ca0f5b-813b-46e1-aee7-e6242010662e",
"email": "example@sumup.com",
"mfa_on_login_enabled": true,
"virtual_user": false,
"service_account_user": false
},
"status": "accepted"
}
Members

Retrieve a member

Retrieve a merchant member.

Required permissions: members_view

Path Parameters

  • merchant_code string required

    Short unique identifier for the merchant.

    Example: "MK10CL2A"
  • member_id string required

    The ID of the member to retrieve.

    Example: "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"

Member

  • id string required

    ID of the member.

    Example: "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"
  • roles []string required

    User's roles.

  • permissions []string deprecated required

    User's permissions.

  • created_at string date-time required

    The timestamp of when the member was created.

    Example: "2023-01-20T15:16:17Z"
  • updated_at string date-time required

    The timestamp of when the member was last updated.

    Example: "2023-01-20T15:16:17Z"
  • user object

    Information about the user associated with the membership.

     Show attributes
     Close
    Attributes
    • id string required

      Identifier for the End-User (also called Subject).

      Example: "44ca0f5b-813b-46e1-aee7-e6242010662e"
    • email string required

      End-User's preferred e-mail address. Its value MUST conform to the RFC 5322 [RFC5322] addr-spec syntax. The RP MUST NOT rely upon this value being unique, for unique identification use ID instead.

      Example: "example@sumup.com"
    • mfa_on_login_enabled boolean required

      True if the user has enabled MFA on login.

      Example: true
    • virtual_user boolean required

      True if the user is a virtual user (operator).

    • service_account_user boolean required

      True if the user is a service account.

    • disabled_at string date-time

      Time when the user has been disabled. Applies only to virtual users (virtual_user: true).

    • nickname string

      User's preferred name. Used for display purposes only.

      Example: "Test User"
    • picture string uri

      URL of the End-User's profile picture. This URL refers to an image file (for example, a PNG, JPEG, or GIF image file), rather than to a Web page containing an image.

      Example: "https://usercontent.sumup.com/44ca0f5b-813b-46e1-aee7-e6242010662e.png"
    • classic object deprecated

      Classic identifiers of the user.

       Show attributes
       Close
      Attributes
      • user_id integer required
  • invite object

    Pending invitation for membership.

     Show attributes
     Close
    Invite
    • email string email required

      Email address of the invited user.

      Example: "boaty.mcboatface@sumup.com"
    • expires_at string date-time required
      Example: "2023-01-20T15:16:17Z"
  • status string required

    The status of the membership.

  • metadata object max properties: 64

    Set of user-defined key-value pairs attached to the object. Partial updates are not supported. When updating, always submit whole metadata. Maximum of 64 parameters are allowed in the object.

    Example: {}
  • attributes object

    Object attributes that are modifiable only by SumUp applications.

    Example: {}
GET /v0.1/merchants/{merchant_code}/members/{member_id}
curl https://api.sumup.com/v0.1/merchants/{merchant_code}/members/{member_id} \
-X GET \
-H "Authorization: Bearer $SUMUP_API_KEY"
import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.members.get("MK10CL2A", "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP");
using SumUp;
var client = new SumUpClient();
var result = await client.Members.GetAsync(
"MK10CL2A",
"mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"
);
import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.members().getMerchantMember(
"MK10CL2A",
"mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"
);
from sumup import Sumup
client = Sumup()
result = client.members.get("MK10CL2A", "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP")
$sumup = new \SumUp\SumUp();
$result = $sumup->members->get('MK10CL2A', 'mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP');
client := sumup.NewClient()
result, err := client.Members.Get(context.Background(), "MK10CL2A", "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP")
use sumup::Client;
let client = Client::default();
let result = client.members().get("MK10CL2A", "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP").await;
Retrieve a member response
{
"id": "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP",
"roles": [
"role_admin",
"role_owner"
],
"permissions": [
"members_read",
"members_write",
"create_moto_payments",
"full_transaction_history_view",
"refund_transactions",
"create_referral",
"developer_settings_edit",
"developer_settings_access"
],
"created_at": "2023-01-20T15:16:17Z",
"updated_at": "2023-02-20T15:16:17Z",
"user": {
"id": "44ca0f5b-813b-46e1-aee7-e6242010662e",
"email": "example@sumup.com",
"mfa_on_login_enabled": true,
"virtual_user": false,
"service_account_user": false
},
"status": "accepted"
}
Members

Update a member

Update the merchant member.

Required permissions: members_update

Path Parameters

  • merchant_code string required

    Short unique identifier for the merchant.

    Example: "MK10CL2A"
  • member_id string required

    The ID of the member to retrieve.

    Example: "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"

Body Parameters

  • roles []string
  • metadata object max properties: 64

    Set of user-defined key-value pairs attached to the object. Partial updates are not supported. When updating, always submit whole metadata. Maximum of 64 parameters are allowed in the object.

    Example: {}
  • attributes object

    Object attributes that are modifiable only by SumUp applications.

    Example: {}
  • user object

    Allows you to update user data of managed users.

     Show attributes
     Close
    Attributes
    • nickname string

      User's preferred name. Used for display purposes only.

      Example: "Test User"
    • password string min length: 8password

      Password of the member to add. Only used if is_managed_user is true.

Member

  • id string required

    ID of the member.

    Example: "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"
  • roles []string required

    User's roles.

  • permissions []string deprecated required

    User's permissions.

  • created_at string date-time required

    The timestamp of when the member was created.

    Example: "2023-01-20T15:16:17Z"
  • updated_at string date-time required

    The timestamp of when the member was last updated.

    Example: "2023-01-20T15:16:17Z"
  • user object

    Information about the user associated with the membership.

     Show attributes
     Close
    Attributes
    • id string required

      Identifier for the End-User (also called Subject).

      Example: "44ca0f5b-813b-46e1-aee7-e6242010662e"
    • email string required

      End-User's preferred e-mail address. Its value MUST conform to the RFC 5322 [RFC5322] addr-spec syntax. The RP MUST NOT rely upon this value being unique, for unique identification use ID instead.

      Example: "example@sumup.com"
    • mfa_on_login_enabled boolean required

      True if the user has enabled MFA on login.

      Example: true
    • virtual_user boolean required

      True if the user is a virtual user (operator).

    • service_account_user boolean required

      True if the user is a service account.

    • disabled_at string date-time

      Time when the user has been disabled. Applies only to virtual users (virtual_user: true).

    • nickname string

      User's preferred name. Used for display purposes only.

      Example: "Test User"
    • picture string uri

      URL of the End-User's profile picture. This URL refers to an image file (for example, a PNG, JPEG, or GIF image file), rather than to a Web page containing an image.

      Example: "https://usercontent.sumup.com/44ca0f5b-813b-46e1-aee7-e6242010662e.png"
    • classic object deprecated

      Classic identifiers of the user.

       Show attributes
       Close
      Attributes
      • user_id integer required
  • invite object

    Pending invitation for membership.

     Show attributes
     Close
    Invite
    • email string email required

      Email address of the invited user.

      Example: "boaty.mcboatface@sumup.com"
    • expires_at string date-time required
      Example: "2023-01-20T15:16:17Z"
  • status string required

    The status of the membership.

  • metadata object max properties: 64

    Set of user-defined key-value pairs attached to the object. Partial updates are not supported. When updating, always submit whole metadata. Maximum of 64 parameters are allowed in the object.

    Example: {}
  • attributes object

    Object attributes that are modifiable only by SumUp applications.

    Example: {}
PUT /v0.1/merchants/{merchant_code}/members/{member_id}
curl https://api.sumup.com/v0.1/merchants/{merchant_code}/members/{member_id} \
-X PUT \
-H "Authorization: Bearer $SUMUP_API_KEY" \
--json '{
"Update member\'s role": {
"roles": [
"role_manager"
]
},
"Update managed user": {
"user": {
"nickname": "New Employee Name"
}
}
}'
import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.members.update("MK10CL2A", "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP", {
Update member's role: {"roles":["role_manager"]},
Update managed user: {"user":{"nickname":"New Employee Name"}},
});
using SumUp;
var client = new SumUpClient();
var result = await client.Members.UpdateAsync(
"MK10CL2A",
"mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP",
new UpdateMerchantMemberBody
{
UpdateMemberSRole = null,
UpdateManagedUser = null,
}
);
import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.members().updateMerchantMember(
"MK10CL2A",
"mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP",
UpdateMerchantMemberBody.builder()
.updateMemberSRole(null)
.updateManagedUser(null)
.build()
);
from sumup import Sumup
client = Sumup()
result = client.members.update("MK10CL2A", "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP", UpdateMerchantMemberBody(
Update member's role={"roles":["role_manager"]},
Update managed user={"user":{"nickname":"New Employee Name"}},
))
$sumup = new \SumUp\SumUp();
$result = $sumup->members->update('MK10CL2A', 'mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP', [
'Update member's role' => [
'roles' => [ 'role_manager'],
],
'Update managed user' => [
'user' => [
'nickname' => 'New Employee Name',
],
],
]);
client := sumup.NewClient()
result, err := client.Members.Update(context.Background(), "MK10CL2A", "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP", sumup.MembersUpdateParams{
UpdateMemberSRole: {"roles":["role_manager"]},
UpdateManagedUser: {"user":{"nickname":"New Employee Name"}},
})
use sumup::Client;
let client = Client::default();
let result = client.members().update("MK10CL2A", "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP", sumup::UpdateMerchantMemberBody{
update_member_s_role: {"roles":["role_manager"]},
update_managed_user: {"user":{"nickname":"New Employee Name"}},
}).await;
Update a member response
{
"id": "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP",
"roles": [
"role_admin",
"role_owner"
],
"permissions": [
"members_read",
"members_write",
"create_moto_payments",
"full_transaction_history_view",
"refund_transactions",
"create_referral",
"developer_settings_edit",
"developer_settings_access"
],
"created_at": "2023-01-20T15:16:17Z",
"updated_at": "2023-02-20T15:16:17Z",
"user": {
"id": "44ca0f5b-813b-46e1-aee7-e6242010662e",
"email": "example@sumup.com",
"mfa_on_login_enabled": true,
"virtual_user": false,
"service_account_user": false
},
"status": "accepted"
}
Members

Delete a member

Deletes a merchant member.

Required permissions: members_delete

Path Parameters

  • merchant_code string required

    Short unique identifier for the merchant.

    Example: "MK10CL2A"
  • member_id string required

    The ID of the member to retrieve.

    Example: "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"
DELETE /v0.1/merchants/{merchant_code}/members/{member_id}
curl https://api.sumup.com/v0.1/merchants/{merchant_code}/members/{member_id} \
-X DELETE \
-H "Authorization: Bearer $SUMUP_API_KEY"
import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.members.delete("MK10CL2A", "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP");
using SumUp;
var client = new SumUpClient();
var result = await client.Members.DeleteAsync(
"MK10CL2A",
"mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"
);
import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.members().deleteMerchantMember(
"MK10CL2A",
"mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP"
);
from sumup import Sumup
client = Sumup()
result = client.members.delete("MK10CL2A", "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP")
$sumup = new \SumUp\SumUp();
$result = $sumup->members->delete('MK10CL2A', 'mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP');
client := sumup.NewClient()
result, err := client.Members.Delete(context.Background(), "MK10CL2A", "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP")
use sumup::Client;
let client = Client::default();
let result = client.members().delete("MK10CL2A", "mem_WZsm7QTPhVrompscmPhoGTXXcrd58fr9MOhP").await;